package testsUnitaires;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import m.Boisson;

class BoissonTest {
	
    private Boisson boisson;

//S'exécutera avant chaque test
    @BeforeEach
    void instanceBoisson() {
    	//Instanciation d'une boisson quelconque
    	boisson = new Boisson("Jus d'ananas", 2.5);
    }
    

//Vérifie si les getters et setters fonctionnent correctement
    @Test
    void testGetNomBoisson() {
    	//Compare si le nom de la boisson est bien un jus d'ananas
        assertEquals("Jus d'ananas", boisson.getNomBoisson());
    }

    @Test
    void testSetNomBoisson() {
        boisson.setNomBoisson("Café");
      //Compare si le nom de la boisson a bien été modifié en café
        assertEquals("Café", boisson.getNomBoisson());
    }

    @Test
    void testGetPrixBoisson() {
        assertEquals(2.5, boisson.getPrixBoisson());
    }

    @Test
    void testSetPrixBoisson() {
        boisson.setPrixBoisson(3.0);
        assertEquals(3.0, boisson.getPrixBoisson());
    }
}
